GCLOUD_PREVIEW_APP_VERSIONS_STOP(1)

NAME

gcloud preview app versions stop - stop serving specified versions

SYNOPSIS

gcloud preview app versions stop VERSIONS [VERSIONS ...] [--service SERVICE, -s SERVICE] [GLOBAL-FLAG ...]

DESCRIPTION
(PREVIEW) This command stops serving the specified versions. It may only be used if the scaling module for your service has been set to manual.

POSITIONAL ARGUMENTS
VERSIONS [VERSIONS ...]
    The versions to stop (optionally filtered by the --service flag).

FLAGS
--service SERVICE, -s SERVICE
    If specified, only stop versions from the given service.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To stop a specific version across all services, run:
    $ gcloud preview app versions stop v1
To stop multiple named versions across all services, run:
    $ gcloud preview app versions stop v1 v2
To stop a single version on a single service, run:
    $ gcloud preview app versions stop --service servicename v1
To stop multiple versions in a single service, run:
    $ gcloud preview app versions stop --service servicename v1 v2
Note that that last example may be more simply written using the services stop command (see its documentation for details).

NOTES
This command is currently in DEVELOPER PREVIEW and may change without notice.